Subject: RE: OpenGL 1.1
From: "Suhaib Siddiqi" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 25 Aug 1999 13:31:09 -0400

.1
>
>
> >> "Suhaib" == Suhaib Siddiqi <[email-masked]> writes:
>
> Suhaib> No one can help you if you do not post the undefined symbols.
>
> Thanks for your response. The problem I am having is not with any one
> specific function per se, rather all 1.1 spec functions. For example:
>
> #include <windows.h>
> #include <GL/gl.h>
>
> int main()
> {
>   glEnd();
>   glBindTexture(GL_TEXTURE_2D, 1);
> }
>
> compiled with "gcc xxx.c -lopengl32" fails to link with "undefined
> reference to glBindTexture@8". If I remove the glBindTexture call it
> links OK. The same problem occurs if I use any other 1.1 spec
> function, such as glArrayElement. Obviously, I dont expect this code
> to make a sensible executable, but it shows the linking problem.
>
> Cheers,
> Jon
>
>

You consider getting Mesa libs for Cygwin B20.1.  It is @8 causing
you problems.

Go to http://www.student.uni-koeln.de/cygwin and search for Mesa 3.0 libs
for Cygwin B20.1

Suhaib

--
Want to unsubscribe from this list?
Send a message to [email-masked]